TaskStatus.State (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum TaskStatus.State

    java.lang.Object
      java.lang.Enum<TaskStatus.State>
          org.apache.hadoop.mapred.TaskStatus.State

All Implemented Interfaces:
  Serializable, Comparable<TaskStatus.State>

Enclosing class:
  TaskStatus

    public static enum TaskStatus.State

extends Enum<TaskStatus.State>

Enum Constant Summary
`COMMIT_PENDING`
`FAILED`
`FAILED_UNCLEAN`
`KILLED`
`KILLED_UNCLEAN`
`RUNNING`
`SUCCEEDED`
`UNASSIGNED`

Method Summary
`static TaskStatus.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskStatus.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RUNNING

    public static final TaskStatus.State RUNNING

### SUCCEEDED

    public static final TaskStatus.State SUCCEEDED

### FAILED

    public static final TaskStatus.State FAILED

### UNASSIGNED

    public static final TaskStatus.State UNASSIGNED

### KILLED

    public static final TaskStatus.State KILLED

### COMMIT_PENDING

    public static final TaskStatus.State COMMIT_PENDING

### FAILED_UNCLEAN

    public static final TaskStatus.State FAILED_UNCLEAN

### KILLED_UNCLEAN

    public static final TaskStatus.State KILLED_UNCLEAN

Method Detail

### values

    public static TaskStatus.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskStatus.State c : TaskStatus.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskStatus.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation